86
11x10:(5,4)
----------
-----X----
---OOO----
--OXXXO---
-OX-OXOX--
--OXXXOX--
---OXXXOX-
---OOXXOO-
----XOOX--
------X---
----------

11x21:(4,10)
---------------------
-----XXXXXXXXX-------
----XOOOOOOOOOX------
---XOOOXX-XXXOOX-----
---XOOXOOOOOXOOX-----
--XOOOXOOOOXOOOX-----
--XOOOXXXXXOOOOX-----
---XOOOOOOOOOOX------
---XXXOOOOOOXX-------
------XXXXXX---------
---------------------

11x21:(2,14)
---------------------
------XX-------------
-----XOOX---XOX------
----XOOX----XOOX-----
---XOOX-----XOOX-----
--XOOOX----XOOOX-----
--XOOOXXXXXOOOOX-----
---XOOOOOOOOOOX------
---XXXOOOOOOXX-------
------XXXXXX---------
---------------------

41x41:(18,2)
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
------OOOOOOOOO--------------------------
---OOOXXXXXXXXXOOO-----------------------
-OOXXXXXXXXXXXXXXXOO---------------------
O-XXXXXXXXXXXXXXXXXXO--------------------
XXXXXXXXXXXXXXXXXXXXXO-------------------
XXXXXXXXXXXXXXXXXXXXXXO------------------
XXXXXXXXXXXXXXXXXXXXXXXO-----------------
XXXXXXXXXXXXXXXXXXXXXXXXO----------------
XXXXXXXXXXXXXXXXXXXXXXXXO----------------
XXXXXXXXXXXXXXXXXXXXXXXXXO---------------
XXXXXXXXXXXXXXXXXXXXXXXXXXO--------------
XXXXXXXXXXXXXXXXXXXXXXXXXXO--------------
XXXXXXXXXXXXXXXXXXXXXXXXXXO--------------
XXXXXXXXXXXXXXXXXXXXXXXXXXXO-------------
XXXXXXXXXXXXXXXXXXXXXXXXXXXO-------------
XXXXXXXXXXXXXXXXXXXXXXXXXXXO-------------
XXXXXXXXXXXXXXXXXXXXXXXXXXXO-------------
XXXXXXXXXXXXXXXXXXXXXXXXXXXO-------------
XXXXXXXXXXXXXXXXXXXXXXXXXXXO-------------
XXXXXXXXXXXXXXXXXXXXXXXXXXXO-------------
XXXXXXXXXXXXXXXXXXXXXXXXXXXO-------------
XXXXXXXXXXXXXXXXXXXXXXXXXXO--------------
XXXXXXXXXXXXXXXXXXXXXXXXXXO--------------
XXXXXXXXXXXXXXXXXXXXXXXXXXO--------------
XXXXXXXXXXXXXXXXXXXXXXXXXO---------------
XXXXXXXXXXXXXXXXXXXXXXXXXO---------------
XXXXXXXXXXXXXXXXXXXXXXXXO----------------

41x41:(18,1)
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
-----------------------------------------
------XXXXXXXXX--------------------------
---XXXOOOOOOOOOXXX-----------------------
-XXOOOOOOOOOOOOOOOXX---------------------
-OOOOOOOOOOOOOOOOOOOX--------------------
OOOOOOOOOOOOOOOOOOOOOX-------------------
OOOOOOOOOOOOOOOOOOOOOOX------------------
OOOOOOOOOOOOOOOOOOOOOOOX-----------------
OOOOOOOOOOOOOOOOOOOOOOOOX----------------
OOOOOOOOOOOOOOOOOOOOOOOOX----------------
OOOOOOOOOOOOOOOOOOOOOOOOOX---------------
OOOOOOOOOOOOOOOOOOOOOOOOOOX--------------
OOOOOOOOOOOOOOOOOOOOOOOOOOX--------------
OOOOOOOOOOOOOOOOOOOOOOOOOOX--------------
OOOOOOOOOOOOOOOOOOOOOOOOOOOX-------------
OOOOOOOOOOOOOOOOOOOOOOOOOOOX-------------
OOOOOOOOOOOOOOOOOOOOOOOOOOOX-------------
OOOOOOOOOOOOOOOOOOOOOOOOOOOX-------------
OOOOOOOOOOOOOOOOOOOOOOOOOOOX-------------
OOOOOOOOOOOOOOOOOOOOOOOOOOOX-------------
OOOOOOOOOOOOOOOOOOOOOOOOOOOX-------------
OOOOOOOOOOOOOOOOOOOOOOOOOOOX-------------
OOOOOOOOOOOOOOOOOOOOOOOOOOX--------------
OOOOOOOOOOOOOOOOOOOOOOOOOOX--------------
OOOOOOOOOOOOOOOOOOOOOOOOOOX--------------
OOOOOOOOOOOOOOOOOOOOOOOOOX---------------
OOOOOOOOOOOOOOOOOOOOOOOOOX---------------
OOOOOOOOOOOOOOOOOOOOOOOOX----------------

13x13:(7,7)
-------------
-OOOOOOOOOOO-
-OOOXXXXXXOO-
-OXOOXXXXOOO-
-OXXOOXXOOXO-
-OXXXOXOOXXO-
-OXXXX-XXXXO-
-OXXOOXOXXXO-
-OXOOXXOOXXO-
-OOOXXXXOOXO-
-OOXXXXXXOOO-
-OOOOOOOOOOO-
-------------

13x13:(7,7)
-------------
-XXXXXXXXXXX-
-XXXOOOOOOXX-
-XOXXOOOOXXX-
-XOOXXOOXXOX-
-XOOOXOXXOOX-
-XOOOO-OOOOX-
-XOOXXOXOOOX-
-XOXXOOXXOOX-
-XXXOOOOXXOX-
-XXOOOOOOXXX-
-XXXXXXXXXXX-
-------------

9x21:(8,20)
XXXXXXXXXXXXXXXXXXXXX
XOOOOOOOOOOOOOOOOOOOX
XOOOOOOOOOOOOOOOOOOOX
XOOOOOOOOOOOOOOOOOOOX
XOOOOOOOOOOOOOOOOOOOX
XOOOOOOOOOOOOOOOOOOOX
XOOOOOOOOOOOOOOOOOOOX
XOOOOOOOOOOOOOOOOOO-X
XXXXXXXXXXXXXXXXXXXXX

10x22:(8,20)
XXXXXXXXXXXXXXXXXXXXX-
XOOOOOOOOOOOOOOOOOOOX-
XOOOOOOOOOOOOOOOOOOOX-
XOOOOOOOOOOOOOOOOOOOX-
XOOOOOOOOOOOOOOOOOOOX-
XOOOOOOOOOOOOOOOOOOOX-
XOOOOOOOOOOOOOOOOOOOX-
XOOOOOOOOOOOOOOOOOO-X-
XXXXXXXXXXXXXXXXXXXXXX
--------------------X-

9x9:(8,5)
---XOX---
--XO-OX--
-XO-O-OX-
XO-O-O-OX
O-O-O-O-O
XO-O-O-OX
-XO-O-OX-
--XO-OX--
---XOX---

1x14:(1,14)
XXXXXXXXXXXXX-

3x3:(2,2)
O-O
---
O-O

9x15:(5,1)
OOOOOOOOOOOOOOO
OOOOOOOOOOOOOOO
OOOOOOOOOOOOOOO
OOOOOOOOOOOOOOO
-XXXXXXXXXXXXXX
OOOOOOOOOOOOOOO
OOOOOOOOOOOOOOO
OOOOOOOOOOOOOOO
OOOOOOOOOOOOOOO

10x13:(7,11)
-------------
-------------
-------------
-------------
-------------
-------------
-------------
-------------
-------------
-------------

6x17:(2,17)
O-XO-XO-X-OXX--OO
--X-OO-XO-XO--OX-
-X-OXO-O-XO-X-OXO
-OX-XX-O-OXXX-OXO
OX-OX-O-O-OO--OXX
XX-OX-OXOXXOX--OO

9x9:(5,3)
OOOOOOOOX
OOOOO-OX-
OOOOOOX--
OOOOOX---
XX-XXO---
OOOOOX---
OOOOOOX--
OO-OOOOX-
OOOOOOOOX

9x9:(5,3)
-OOOOOOOX
OOOOOOOX-
OOOOOOX--
OOOOOX---
XX-XXO---
OOOOOX---
OOOOOOX--
OOOOOOOX-
OOOOOOOOX

9x9:(5,3)
OOOOOOOOX
OOOOOOOX-
OOOOOOX--
OOOOOX---
XX-XXO---
OOOOOX---
OOOOOOX--
OOOOOOOX-
OOOOOOOOX

9x9:(5,3)
OOOOOOOOX
OOOOOOOX-
OOOOOOX--
OOOOOX---
XX-XX----
OOOOOX---
OOOOOOX--
OOOOOOOX-
OOOOOOOOX

9x9:(5,5)
OOOOOOOOX
OOOOOOOX-
OOOOOOX--
OOOOOX---
XXXX-----
OOOOOX---
OOOOOOX--
OOOOOOOX-
OOOOOOOOX

9x9:(5,5)
OOOOOOOOX
OOOOOOOX-
OOOOOOX--
OOOOOX---
OOOO-----
OOOOOX---
OOOOOOX--
OOOOOOOX-
OOOOOOOOX

7x12:(1,8)
------O-XXO-
------OXXO--
-----OXXO---
----OXXO----
---OXXO-----
--OXXO------
---OO-------

7x12:(1,8)
--------XXO-
------OXXO--
-----OXXO---
----OXXO----
---OXXO-----
--OXXO------
---OO-------

7x12:(1,7)
--------OOX-
------XOOX--
-----XOOX---
----XOOX----
---XOOX-----
--XOOX------
---XX-------

7x12:(1,8)
--------OOX-
------XOOX--
-----XOOX---
----XOOX----
---XOOX-----
--XOOX------
---XX-------

7x12:(1,8)
--------X---
------XOOX--
-----XOOX---
----XOOX----
---XOOX-----
--XOOX------
---X--------

3x3:(2,2)
OOO
O-O
OOO

9x15:(3,8)
---------------
---------------
-----XX-XX-----
XXXXXXOOOX-----
OOOOOOO-OX-----
XXXXXXOOOX-----
-----XXXXX-----
---------------
---------------

9x15:(5,8)
---------------
---------------
-----XXXXX-----
XXXXXXOOOX-----
OOOOOOO-OX-----
XXXXXXOOOX-----
-----XXXXX-----
---------------
---------------

21x21:(11,11)
XXXXXXXXXXXXXXXXXXXXX
OOOOOOOOOOOOOOOOOOOOX
XXXXXXXXXXXXXXXXXXXOX
XOOOOOOOOOOOOOOOOOXOX
XOXXXXXXXXXXXXXXXOXOX
XOXOOOOOOOOOOOOOXOXOX
XOXOXXXXXXXXXXXOXOXOX
XOXOXOOOOOOOOOXOXOXOX
XOXOXOXXXXXXXOXOXOXOX
XOXOXOXOOOOOXOXOXOXOX
XOXOXOXOXX-OXOXOXOXOX
XOXOXOXOXOOOXOXOXOXOX
XOXOXOXOXXXXXOXOXOXOX
XOXOXOXOOOOOOOXOXOXOX
XOXOXOXXXXXXXXXOXOXOX
XOXOXOOOOOOOOOOOXOXOX
XOXOXXXXXXXXXXXXXOXOX
XOXOOOOOOOOOOOOOOOXOX
XOXXXXXXXXXXXXXXXXXOX
XOOOOOOOOOOOOOOOOOOOX
XXXXXXXXXXXXXXXXXXXXX

7x14:(3,8)
--------------
--------------
--------OO----
-----XXOXXO---
-------XO-----
--------------
--------------

3x1:(2,1)
O
-
-

9x27:(1,15)
---------------OX----------
----X----------X-----------
---XO--X---------X---------
----X--OX-------XOX--------
-------X-------------------
------------------X--------
---------XOX-----XOX-------
X---------X------XO------X-
O----------------XOX----XOO

10x12:(9,3)
X-X----X-X--
XX-X-X-X--X-
X-X--X-X-XX-
-X-X---X-X-X
X---X--X-X-X
--X-X-X-X--X
XXXX--XX-X-X
OOOOX-X--X--
XX-OX-X-X--X
--XOX-X---XX

28x28:(21,25)
----------------------------
-XXXXXXXXXXXXXXXXXXXXXXXXXX-
-XOOOOOOOOOOOOOOOOOOOOOOOOX-
-XOXXXXXXXXXXXXXXXXXXXXXXOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX---------------------OX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOX--------------------XOX-
-XOXXXXXXXXXXXXXXXXXXXXXXOX-
-XOOOOOOOOOOOOOOOOOOOOOOOOX-
-XXXXXXXXXXXXXXXXXXXXXXXXXX-
----------------------------

15x34:(2,11)
--OX--OX-OOX-XO-O---OXO-X-X-OX-XO-
OX-OX-X--X-OXO--OX-X-XO-OXX-O-XO--
-XOX-OX----X-OO-OO-OX-X-X-X-X-X-OX
O---X--X-X---X-X-X-O-X---X--X-X-XO
-----X--XO-OX-O----OX-OXXO-X---X--
X-OX-X----OX-O-X----OX-OX-OX-X--X-
-------X-XO-OX-X--XOX-OX-X-X-X-OX-
-XX-OX-O-O-XO-X-X-X-X-OX---OX-OX-O
--X-OX-OXX-XXX-OX-OOX-O-O-OX-O-OOX
OO---XOX--O-O--XO-O-OX---O-OX-O-X-
--XO--OX--X--X-O------X-OX-O--X-O-
X--X-X-OX-OX--X-XO---OXOX-X-O-XO-X
---X--X---X-O-X-----OX-OOO-X--X-X-
OOX-X--X--OX-O-OX-OX-O-O---XO--X--
--X---OXO---X-OX-OX-OX-OX--X------

23x23:(12,12)
OOOOOOOOOOOOOOOOOOOOOOO
O---------------------O
O-OOOOOOOOOOOOOOOOOOO-O
O-O-----------------O-O
O-O-OOOOOOOOOOOOOOO-O-O
O-O-O-------------O-O-O
O-O-O-OOOOOOOOOOO-O-O-O
O-O-O-O---------O-O-O-O
O-O-O-O-OOOOOOO-O-O-O-O
O-O-O-O-O-----O-O-O-O-O
O-O-O-O-O-OOO-O-O-O-O-O
O-O-O-O-O-O-O-O-O-O-O-O
O-O-O-O-O-OOO-O-O-O-O-O
O-O-O-O-O-----O-O-O-O-O
O-O-O-O-OOOOOOO-O-O-O-O
O-O-O-O---------O-O-O-O
O-O-O-OOOOOOOOOOO-O-O-O
O-O-O-------------O-O-O
O-O-OOOOOOOOOOOOOOO-O-O
O-O-----------------O-O
O-OOOOOOOOOOOOOOOOOOO-O
O---------------------O
OOOOOOOOOOOOOOOOOOOOOOO

50x47:(28,23)
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------OOOOOOOOOOOOOOOOOOO-----------
-----------------OOOOOOOOOOOOOOOOOOOO----------
-----------------OOOOOOOOOOOOOOOOOOOOOO--------
-----------------OOOO-------------OOOOO--------
-----------------OOOO--------------OOOOO-------
-----------------OOOO---------------OOOO-------
-----------------OOOO---------------OOOO-------
-----------------OOOO----------------OOO-------
-----------------OOOO----------------OOO-------
------OOOO-------OOOO----------------OOO-------
------OOOO-------OOOO---------------OOOO-------
------OOOO-------OOOO---------------OOOO-------
------OOOO-------OOOO--------------OOOOO-------
-----------------OOOO-------------OOOOO--------
-----------------OOOOOOOOOOOOOOOOOOOOOO--------
-----------------OOOOOOOOOOOOOOOOOOOOO---------
-----------------OOOOOOOOOOOOOOOOOOO-----------
-----------------OOOOO-------------------------
-----------------OOOO--------------------------
-----------------OOOO--------------------------
-----------------OOOO--------------------------
-----------------OOOO--------------------------
-----------------OOOO--------------------------
-----------------OOOO--------------------------
-----------------OOOO--------------------------
-----------------OOOO--------------------------
-----------------OOOO--------------------------
------OOOO-------OOOO--------------------------
------OOOO-------OOOO--------------------------
------OOOO-------OOOO--------------------------
------OOOO-------OOOO--------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------
-----------------------------------------------

32x45:(17,26)
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-
X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X
-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-X-

1x48:(1,24)
OOOOOOOOOOOOOOOOOOOOOOO-OOOOOOOOOOOOOOOOOOOOOOOO

13x36:(1,36)
------------------------------------
------------------XXXX--------------
--------------XXXXOOOOX-------------
------------XXOOOOOOOOOX------------
-----------XOOOOOOOOOOOOX-----------
---------XXOOOOOOOOOOOXX------------
--------XOOOOOOOOOOOOX--------------
---------XXOOOOOOOOOOXX-------------
--------XOOOOOOOOOOOOOO-------------
-------XOOOOOOOOOOXXXXX-------------
--------XXOOOOXXXX------------------
----------XXXX----------------------
------------------------------------

1x44:(1,43)
-------------------------------------------O

1x44:(1,44)
------------------------------------------O-

2x2:(1,1)
-X
X-

5x41:(5,39)
-----------------------------------------
------------------------------XXXXXXXXX--
------------------------------XOOOOOOOX--
------------------------------XOXXXXXOX--
------------------------------XOX---XO---

12x24:(7,10)
------------------------
------------------------
------------------------
------------------------
------------------------
--------XOO-------------
-------XO-O-------------
-------XOO--------------
--------XX--------------
------------------------
------------------------
------------------------

9x15:(5,8)
---------------
-OOOOOOOOOOOOO-
-O-----------O-
-O-----------O-
-O-----------O-
-O-----------O-
-O-----------O-
-OOOOOOOOOOOOO-
---------------

32x45:(17,26)
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-
O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O
-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-

13x36:(9,24)
X-O-XO-OX-OX----OX-O-X-OXO-O-OX-OX--
XO-OXOX-O--X--X-X-XXXX-OX-OX-OX-O-XX
-X-OXO-X-OX-OXXXXXOOOOXX-OX-OX-X-OX-
X-XO-XO-X-O-XXOOOOOOOOOXO--O-OX---X-
--OX-O-X-XOXOOOOOOOOOOOOX-X-OX-OX-OX
-XOXXO-X-XXOOOOOOOOOOOXX-X-O-OX---OX
X-OX-O-XXOOOOOOOOOOOOX-XO-OO-XOOX---
X-O-XO--XXXOOOOOOOOOOXX-OXO-X--OX-O-
XOX-X---XOOOOOOOOOOOOOO--X---XO--OX-
--X-X-OXOOOOOOOOOOXXXXXXO--OX-OXXO-X
-X-OXO-OXXOOOOXXXX-X-O-X-XO--OX-X---
OX-XO-X---XXXX--OX-XO-XO-XO-XO-OX-XO
X---OXO-X-X-O-XOX--O-OXX-O-OXO-X-XO-

13x36:(9,24)
------------------------------------
------------------XXXX--------------
--------------XXXXOOOOX-------------
------------XXOOOOOOOOOX------------
-----------XOOOOOOOOOOOOX-----------
---------XXOOOOOOOOOOOXX---XX-------
--------XOOOOOOOOOOOOX----XOOX------
---------XXOOOOOOOOOOXX-XXOOOOX-----
--------XOOOOOOOOOOOOOO-OOOOOOOXX---
-------XOOOOOOOOOOXXXXX-XXXOOOOOOX--
--------XXOOOOXXXX---------XOOOXX---
----------XXXX--------------XXX-----
------------------------------------

1x2:(1,2)
O-

50x50:(50,50)
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO--
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO--

3x3:(2,2)
-O-
O-O
-O-

13x36:(9,24)
------------------------------------
------------------XXXX--------------
--------------XXXXOOOOX-------------
------------XXOOOOOOOOOX------------
-----------XOOOOOOOOOOOOX-----------
---------XXOOOOOOOOOOOXX------------
--------XOOOOOOOOOOOOX--------------
---------XXOOOOOOOOOOXX-------------
--------XOOOOOOOOOOOOOO-------------
-------XOOOOOOOOOOXXXXX-------------
--------XXOOOOXXXX------------------
----------XXXX----------------------
------------------------------------

11x17:(5,8)
------X--X-X-----
X-X-X-XXX-X-XX-X-
X-X-X-XX-X--X-XXX
-XX-X-X-X-X-X-X-X
-XX--XX--XX--X-XX
-XX-XX-X-X-X-X-X-
X-XX-X-X-X-X-XX-X
X-X-X-X-XX-XX--X-
X-X-XX-X-X-XXX-X-
X-X--X-XX-----X-X
-X-XXX-XXX-X-XXXX

8x23:(3,1)
-----------------------
OOOOOOO----------------
-XXXXXO------OOOOOOOOOO
OOOOOXO------OXXXXXXXXX
----OXOOOOOOOOXOOOOOOOO
----OXXXXXXXXXXO-------
----OOOOOOOOOOOO-------
-----------------------

13x31:(12,30)
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OXOXXXOXXXOXXXOXXXOXXXOXXXOXXXO
OXOXOXOXOXOXOXOXOXOXOXOXOXOXOXO
OXOXOXOXOXOXOXOXOXOXOXOXOXOXOXO
OXOXOXOXOXOXOXOXOXOXOXOXOXOXOXO
OXOXOXOXOXOXOXOXOXOXOXOXOXOXOXO
OXOXOXOXOXOXOXOXOXOXOXOXOXOXOXO
OXOXOXOXOXOXOXOXOXOXOXOXOXOXOXO
OXOXOXOXOXOXOXOXOXOXOXOXOXOXOXO
OXOXOXOXOXOXOXOXOXOXOXOXOXOXOXO
OXOXOXOXOXOXOXOXOXOXOXOXOXOXOXO
OXXXOXXXOXXXOXXXOXXXOXXXOXXXO-O
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO

17x23:(17,23)
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXXX
XXXXXXXXXXXXXXXXXXXXXX-

27x3:(22,2)
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O
O-O

33x36:(1,1)
-OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO

1x1:(1,1)
-

7x11:(4,6)
-----------
-OOOOOOOOO-
-OXXXXXXXO-
-OXOO-OOXO-
-OXXXXXXXO-
-OOOOOOOOO-
-----------

7x7:(4,4)
-OOOOO-
O-OOO-O
OO-O-OO
OOO-OOO
OO-O-OO
O-OOO-O
-OOOOO-

9x9:(5,5)
X-------X
-X-----X-
--X---X--
---X-X---
---------
---X-X---
--X---X--
-X-----X-
X-------X

7x7:(4,4)
XOOOOOX
-XOOOX-
--XOX--
-------
--XOX--
-XOOOX-
XOOOOOX

3x3:(2,2)
X-X
O-O
X-X

50x50:(11,40)
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOXXXXXXXXXXXXXXXXXXXXXXXXXXXXX-OOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOX----------------------------XOOOOOOOOOO
OOOOOOOOOOXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO

44x2:(44,2)
-O
OO
O-
OO
-O
OO
O-
OO
-O
OO
O-
OO
-O
OO
O-
OO
-O
OO
O-
OO
-O
OO
O-
OO
-O
OO
O-
OO
-O
OO
O-
OO
-O
OO
O-
OO
-O
OO
O-
OO
-O
OO
OX
O-

5x4:(3,3)
--X--
-XOX-
XO-OX
-XOX-
--X--

12x33:(8,29)
XXX------XXXXX---XXX--OXOO-------
OOX-----XOOOOXX-XOOX--O----------
XOOX---XOOOOOOOXOOOX--O--XXXXX---
-XOOXXXXXOXOXXOOOOXOX---XOOOXOX--
-XOOOOOOXOXOOXXXXXXOOXXXOOOXXOOX-
XOOOOXXOXOXXOOOOX--XOOOOOOXXOOXXX
-XOOXXOOXOOXXXXOXXXXOXXXXOXOOOOOO
-XOOOXOXXXOXOOXXXOOOOOOOXXXX-XXOO
--XOOXOOOOOXOOXXOOXXXXXOOOOOOOXXO
X-XXOXXXXOOXOOXOOXX----XXXXXXOOXX
X---XX---XOOOOOOX--XXXXOOXXXXXOOX
XXXX-----XXXXXXX---XXOOOOOOOOOOXX

5x7:(3,4)
-------
--XOX--
-XO-OX-
--XOX--
-------

9x9:(9,5)
----X----
---XOX---
--XO-OX--
-XO---OX-
XO-----OX
-XO---OX-
--XO-OX--
---XOX---
---------

50x50:(11,38)
--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
------------------------------------------O-------
------------------------------------------O-------
-----------------------------------------OOO------
------------------O-----------------------OO------
---------------------------------------OOOOO------
------------------------------------OO-OOOOO------
-----------------------------------OO-OOOOOO------
--------------------------------O-OO-OOOOOOO------
---------------------------------OOO--OOOO-O------
O---------------------------------OO--OOOO-O------
-----------------------------------OOOOOO---------
------------------------------------OOOOO---------
-------------------------------------OOO-OO-------
--------------------------------------------------
------------OOO--------------------------OO-------
------------OOOO-------------------------OOO------
------------OOO----------OOO--------------OO------
------------OO---------OO--OOO------------OO------
----------------------OOO-OOOO--------------------
----------------------OOOOOOO---------------------
------------------------OOOO----------------------
--------------------------------------------------
----------OOOOO-----------------------------------
---------OOOOOOO----------------------------------
---------OOOOOOO----------------------------------
---------OOOOOOO----------------------------------
---------OOOOOOO----------------------------------
---------OOOOOO-----------------------------------
--------OOOOOOO-----------------------------------
--------OOOOOOO-----------------------------------
---------OOOOOOO----------------------------------
---------OOOOOOOO---OOO---------------------------
----------OOOOOOOOOOOOO---------------------------
-----------OOOOOOOOOO-----------------------------
------------O-------------------------------------
--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
------------------------------------------O-------
--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
--------------------------------------------------
--------------------------------------------------

9x13:(4,7)
-------------
-XXXXXXXXXXX-
-XOOOOOOOOOX-
-XOXXX-XXXOX-
-XOXOOOOOXOX-
-XOXXXXXXXOX-
-XOOOOOOOOOX-
-XXXXXXXXXXX-
-------------

12x33:(8,29)
XXX------XXXXX---XXX--XXXXXXXXXXX
OOX-----XOOOOXX-XOOX---OOO-------
XOOX---XOOOOOOOXOOOX-----XXX-X---
-XOOXXXXXOXOXXOOOOXOX---XOOOXOX--
-XOOOOOOXOXOOXXXXXXOOXXXOOOXXOOX-
XOOOOXXOXOXXOOOOX--XOOOOOOXXOOXXX
-XOOXXOOXOOXXXXOXXXXOXXXXOXO-OOOO
-XOOOXOXXXOXOOXXXOOOOOOOXXXX-XXOO
--XOOXOOOOOXOOXXOOXXXXXOOOOO-OXXO
--XXOXXXXOOXOOXOOXX----XXXXXXOOXX
----XX---XOOOOOOX--XXXXOOXXXXXOOX
O--------XXXXXXX---XXOOOOOOOOOOXX

7x7:(5,4)
---O---
-OOXOO-
OXXXXXO
OXXOXXO
OXX-XXO
-OOXOO-
---O---

2x2:(1,2)
--
XO

4x5:(3,3)
X-XOO
OXOOO
-X-OO
OXOOO

7x2:(6,1)
-O
-X
O-
O-
OO
--
O-

5x6:(3,4)
------
--XO--
-XO-O-
--XO--
------

5x5:(3,3)
--O--
-OXO-
OX-XO
-OXO-
--O--

8x7:(4,4)
XOOOOOX
-XOOOX-
--XOX--
-------
--XOX--
-XOOOX-
XOOOOOX
XOO-OOX

3x3:(2,2)
---
---
---

6x50:(4,9)
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOXXXXOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOX---OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOXXXXOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO

19x36:(18,1)
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOO-OOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
-OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO

18x37:(9,27)
XXXXXXXXXXXXXXXXXXXXXXXXOOOOOOOOOOOOO
XXXXXXXXXXXXXXXXXXXOOOOOOOOOOOOOOOOOO
XXXXXXXXXXXXXXXOOOOOOOOOOOOOOOOOOOOOO
XXXXXXXXXXXXXXXXXXXXOOOOOOOOOOOOOOOOO
XXXXXXXXXXXOOOOOOOOOOOOOOOOOOOOOOOOOO
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXOO
XXXXXXXXXXXXXXXXXXXXOOOOOOOOOOOOOOOOO
XXXXXXXXXXXXXOOOOOOOOOOOOOOOOOOOOOOOO
XXXXXXXXXXXXXXXXXXXXXXXXXX-OOOOOOOOOO
XXXXXXXXXXXOOOOOOOOOOOOOOOOOOOOOOOOOO
XXXXXXXXXXXXXXXXXXXOOOOOOOOOOOOOOOOOO
XXXXXXXXXXXXXXXXXOOOOOOOOOOOOOOOOOOOO
XXXXXXXXXXXXXXXXXXXXOOOOOOOOOOOOOOOOO
XXXXXXXXOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
XXXXXXXXXXXXXXXXXXXXXXXXXXOOOOOOOOOOO
XXXXXXXXXXXXXXXXXXXXXXXXXOOOOOOOOOOOO
XXXXXXXXXXXXOOOOOOOOOOOOOOOOOOOOOOOOO
XXXXXXXXXXXXXXXXXXXXOOOOOOOOOOOOOOOOO

